<template lang="pug">
.card
	.card-header( v-if='icon || title || $slots.icon' )
		p.card-header-title( v-if='title' ) {{ title }}
		.card-header-icon.ml-auto( @click='emit("click")' )
			slot( v-if='$slots.icon' name="icon" )
			span.icon( v-else-if='icon' )
				i( :class='`fa-${pack} fa-${icon}`' )
	.card-content
		slot
	.card-footer( v-if='$slots.footer' )
		slot( name="footer" )
</template>

<script setup>
const props = defineProps({
	title: {
		type: String,
		default: ""
	},
	icon: {
		type: String,
		default: ""
	},
	pack: {
		type: String,
		default: "solid"
	}
})
const emit = defineEmits([ "click" ])
</script>

<style lang="scss" scoped>
.card-header-icon {
	&:deep(.icon) {
		cursor: pointer;
	}
}
</style>